Subject: Re: [E1000-devel] ixgbe: Unsupported SFP+ modules on 10Gbit/s X520-DA2 NIC?

From: Ben Greear <[email-masked]>
Date: Wed, 18 Jan 2012 14:40:47 -0800

On 01/18/2012 02:21 PM, Fujinaka, Todd wrote:
>
> -----Original Message-----
> From: Benny Amorsen [mailto:[email-masked]]
> Sent: Wednesday, January 18, 2012 1:45 PM
> To: Brandeburg, Jesse
> Cc: Jesper Dangaard Brouer; [email-masked]; [email-masked]
> Subject: Re: [E1000-devel] ixgbe: Unsupported SFP+ modules on 10Gbit/s X520-DA2 NIC?
>
> Jesse Brandeburg<[email-masked]>  writes:
>
>> For X520 adapters, the documentation[1] states that which SFP+
>> adapters are/are not supported.  Direct attach cables are also
>> supported.
>>
>> [1]
>> http://www.intel.com/support/network/adapter/pro100/sb/CS-030612.htm
>
> I can't believe that locked optics have now arrived on commodity hardware. I have been trying to migrate to all-Intel networking at work; that effort is certainly on hold now.
>
>
> That's up to you. There's "locked" and there's "locked". I'm surprised
> that Benny and Jesper haven't looked at the driver to see where the
> messages come from.

As a datapoint:  We had a customer trying to use a non-supported
SFP+ module in an 82599 NIC, and they hacked the driver to over-rule
the exclusion.  It sort of worked for them, but never well, and never
at any decent throughput.

Now, I have no idea if their SFP+ was decent or not, but at least in
some cases, just over-riding the driver doesn't fix things.

It does seem like Intel could offer a module option to easily over-ride the
SFP+ exclusion for folks that wanted to test new SFP+ modules for them,
however.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com